Subject: virtually nowhere

From: Nina Burns-Pomeroy <[email-masked]>
Date: Mon, 8 Jul 1996 13:34:51 -0400 (EDT)

Hi.  I'm using 242-beta11 on Sol.2.5.

I've set up a virtual domain, however, it seems that is always goes 
to the generic ftp dir, not the specified dir in the ftpaccess file.

Here's my entry from ftpaccess:
virtual 10.10.10.10  root    /web/sites/mars/ftp
virtual 10.10.10.10  banner  /web/sites/mars/ftp/welcome.msg

The perms seem ok of /web/sites/mars/ftp 755 root.misc (misc being
ftp's primary gid).  Any suggestions are welcome.

N

---

From: "Haralds Jass" <[email-masked]>
Date: Mon, 8 Jul 1996 11:12:51 -0800

> ftp's primary gid).  Any suggestions are welcome.

Did you apply the patches before compile?
They come with that version (in /src/patches or something like that, I 
beleive). It won't work unless you patch it work that way! :-)

---

From: "Haralds Jass" <[email-masked]>
Date: Mon, 8 Jul 1996 11:38:47 -0800

On  8 Jul 96 at 14:29, Nina Burns-Pomeroy wrote:

> patches?  for 2.4.2-beta 11?  I though this release covers all the
> previously needed patches.  
> 
> N
> 

Of course not. Just apply the patches and you'll have your virtual server up 
and running in no time (TIP, you might want to edit fdpd.c (I think) and edit 
the 220 line not to show the hostname, as otherwise for all virtual domains 
it'll be
your-REAL-server name FTP server ready...
instead of their IP or name, which pretty much is useless for virtual FTP ;-).

So, apply the patches and then edit ftpd.c (I think, I don't remember exactly). 
Then it should be more or less up and running. If you have any other problems, 
you'll have to get MORE/OTHER PATCHES...unfortuantley, patches (lots o' 'em!) 
are the only way to get wu-ftpd up and runnign well and as you need it to be.

-HJ